API Explorer 1 endpoints

Get System Chat Room

GET /obp/v7.0.0/chat-rooms/CHAT_ROOM_ID

OBPv6.0.0-getSystemChatRoom No role required Chat

Get a specific system-level chat room by ID. The current user must be a participant.

Authentication is Required

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

CHAT_ROOM_ID: CHAT_ROOM_ID

JSON response body fields (17)
bank_id
gh.29.uk
chat_room_id
chat_room_id
created_at
created_at
created_by_provider
created_by_provider
created_by_user_id
created_by_username
created_by_username
description
Description of the object. Maximum length is 2000. It can be any characters here.
is_archived
is_archived
is_open_room
is_open_room
joining_key
joining_key
name
ACCOUNT_MANAGEMENT_FEE
participant_count
participant_count
updated_at
updated_at
last_message_at
last_message_at
last_message_preview
last_message_preview
last_message_sender_username
last_message_sender_username
unread_count
unread_count
Example success response
{
  "chat_room_id": "chat-room-id-123",
  "bank_id": "",
  "name": "General Discussion",
  "description": "A place to discuss general topics",
  "joining_key": "abc123key",
  "created_by_user_id": "user-id-123",
  "created_by_username": "robert.x.0.gh",
  "created_by_provider": "https://github.com",
  "is_open_room": false,
  "is_archived": false,
  "last_message_at": "2026-10-21T01:45:41Z",
  "last_message_preview": "Hello everyone!",
  "last_message_sender_username": "robert.x.0.gh",
  "unread_count": 3,
  "created_at": "2026-10-21T01:45:41Z",
  "updated_at": "2026-10-21T01:45:41Z",
  "participant_count": 0
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-39001: Chat Room not found. Please specify a valid value for CHAT_ROOM_ID.
  • OBP-39004: Current user is not a participant of this Chat Room.
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getSystemChatRoom Originally /obp/v6.0.0/chat-rooms/CHAT_ROOM_ID